> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byzantine.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get single transaction



## OpenAPI

````yaml /api-reference/openapi-integrator.json get /v1/query/get-transaction
openapi: 3.0.3
info:
  title: Byzantine Integrator API
  description: Byzantine REST API for integrators.
  license:
    name: ''
  version: 0.2.0
servers:
  - url: https://sandbox.api.byzantine.fi
    description: Sandbox
security: []
tags:
  - name: API health
    description: Check API status.
  - name: Customer management
    description: Endpoints to create, update, and retrieve customer information.
  - name: Account management
    description: Endpoints to manage accounts, bank accounts, invitations, and user roles.
  - name: Products
    description: Endpoints to get data about products and vaults.
  - name: Transactions
    description: Endpoints to create and manage transactions.
  - name: OTP authentication
    description: Endpoints to initialize and manage user authentication with OTP.
  - name: Webhooks
    description: Integrator-managed outbound webhook subscriptions and delivery history.
paths:
  /v1/query/get-transaction:
    get:
      tags:
        - Transactions
      summary: Get single transaction
      operationId: get_transaction
      parameters:
        - name: X-Pubkey
          in: header
          description: >-
            Integrator's ECDSA public key (P-256 curve, compressed SEC1 format).
            Example:
            0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
          required: true
          schema:
            type: string
        - name: X-Timestamp
          in: header
          description: >-
            Unix timestamp in seconds (UTC). Must be within tolerance window (1
            minute) to prevent replay attacks. Example: 1760375826
          required: true
          schema:
            type: string
        - name: X-Signature
          in: header
          description: >-
            ECDSA signature (DER-encoded, hex with 0x prefix). Signs the
            message: {timestamp}{METHOD}{path_and_query}{json_body}. Example:
            0x3045022100...
          required: true
          schema:
            type: string
        - name: transaction_id
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Uuid'
      responses:
        '200':
          description: Transaction retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionResponse'
        '404':
          description: Transaction not found
        '500':
          description: Internal server error
      security:
        - integrator_auth: []
components:
  schemas:
    Uuid:
      type: string
      format: uuid
      description: A UUID string
      example: 550e8400-e29b-41d4-a716-446655440000
    GetTransactionResponse:
      allOf:
        - $ref: '#/components/schemas/TransactionView'
        - type: object
          properties:
            fiatDepositInstructions:
              allOf:
                - $ref: '#/components/schemas/SourceDepositInstructionsWrapper'
              nullable: true
            destinationBankAccount:
              allOf:
                - $ref: '#/components/schemas/BankAccountWrapper'
              nullable: true
      description: Response for getting a single transaction by ID
    TransactionView:
      type: object
      description: Details of a transaction
      required:
        - transactionId
        - accountId
        - chainId
        - intermediaryAmount
        - type
        - status
        - createdAt
        - updatedAt
      properties:
        transactionId:
          $ref: '#/components/schemas/Uuid'
        accountId:
          $ref: '#/components/schemas/Uuid'
        chainId:
          type: integer
          format: int32
        vaultAddr:
          type: string
          nullable: true
        intermediaryAmount:
          $ref: '#/components/schemas/Decimal'
        type:
          $ref: '#/components/schemas/TransactionTypeView'
        status:
          $ref: '#/components/schemas/TransactionStatus'
        transactionHash:
          type: string
          nullable: true
        broadcastedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        sourceCurrency:
          allOf:
            - $ref: '#/components/schemas/Currency'
          nullable: true
        destinationCurrency:
          allOf:
            - $ref: '#/components/schemas/Currency'
          nullable: true
        sourceAmount:
          allOf:
            - $ref: '#/components/schemas/Decimal'
          nullable: true
        destinationAmount:
          allOf:
            - $ref: '#/components/schemas/Decimal'
          nullable: true
        relatedTransactionId:
          allOf:
            - $ref: '#/components/schemas/Uuid'
          nullable: true
    SourceDepositInstructionsWrapper:
      allOf:
        - $ref: '#/components/schemas/SourceDepositInstructions'
        - type: object
          required:
            - objectId
          properties:
            objectId:
              $ref: '#/components/schemas/Uuid'
    BankAccountWrapper:
      allOf:
        - $ref: '#/components/schemas/BankAccount'
        - type: object
          required:
            - objectId
          properties:
            objectId:
              $ref: '#/components/schemas/Uuid'
    Decimal:
      type: string
      description: A high-precision decimal number represented as a string
      example: '123.456789'
    TransactionTypeView:
      type: string
      description: Type of transaction returned by the API.
      enum:
        - onramp
        - deposit
        - onramp_deposit
        - withdraw
        - offramp
        - withdraw_offramp
        - authorization
        - approve
        - transfer
      example: deposit
    TransactionStatus:
      type: string
      description: The current status of the transaction.
      enum:
        - created
        - waiting_for_funds
        - funds_in_transfer
        - funds_received
        - processing
        - completed
        - simulation_failed
        - reverted
      example: completed
    Currency:
      type: string
      enum:
        - usd
        - eur
        - usdc
        - eurc
    SourceDepositInstructions:
      type: object
      required:
        - currency
        - bankName
        - bankAddress
        - paymentRails
        - bankBeneficiaryName
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
        expectedDepositAmount:
          allOf:
            - $ref: '#/components/schemas/Decimal'
          nullable: true
        bankName:
          type: string
          description: The name of the beneficiary bank.
          example: Lead Bank
        bankAddress:
          type: string
          description: The address of the beneficiary bank.
          example: 1801 Main St., Kansas City, MO 64108
        paymentRails:
          type: array
          items:
            $ref: '#/components/schemas/PaymentRailVirtualAccount'
        bankBeneficiaryName:
          type: string
          description: >-
            The name of the beneficiary. Either first and last name, or a
            business name.
          example: John Smith
        bankBeneficiaryAddress:
          type: string
          description: The address of the beneficiary.
          example: 1234 Main St., Kansas City, MO 64108
        bankAccountNumber:
          type: string
          description: In case of a USD deposit, the bank account number to deposit to.
          example: '1234567890'
          nullable: true
        bankRoutingNumber:
          type: string
          description: In case of a USD deposit, the ban routing number to deposit to.
          example: '87654321'
          nullable: true
        iban:
          type: string
          description: In case of a EUR deposit, the IBAN to deposit to.
          example: FR12345678901234567890
          nullable: true
        bic:
          type: string
          description: In case of a EUR deposit, the BIC to deposit to.
          example: BICFR12345
          nullable: true
    BankAccount:
      oneOf:
        - $ref: '#/components/schemas/BridgeGetIbanAccountDetails'
        - $ref: '#/components/schemas/BridgeGetAchAccountDetails'
      description: >-
        Bank account details where the funds will be transferred to (withdrawals
        only).
    PaymentRailVirtualAccount:
      type: string
      enum:
        - achPush
        - pix
        - sepa
        - spei
        - wire
    BridgeGetIbanAccountDetails:
      type: object
      description: IBAN bank account informations
      required:
        - country
        - last4
      properties:
        country:
          type: string
          description: >-
            The ISO 3166-1 (three-character) country code of the relevant
            country. See the full list of
            [countries](https://docs.byzantine.fi/api-reference/lists/countries).
          example: FRA
        last4:
          type: string
          description: Last 4 digits of the bank account number
          example: '0804'
        bic:
          type: string
          description: The Bank Identifier Code (BIC) that will be used to send the funds
          example: BICFR12345
          nullable: true
    BridgeGetAchAccountDetails:
      type: object
      description: ACH bank account informations
      required:
        - routingNumber
        - last4
      properties:
        routingNumber:
          type: string
          description: The bank routing number.
          example: '121000248'
        last4:
          type: string
          description: Last 4 digits of the bank account number.
          example: '1111'
        checkingOrSavings:
          allOf:
            - $ref: '#/components/schemas/CheckingOrSavings'
          nullable: true
    CheckingOrSavings:
      type: string
      enum:
        - checking
        - savings
        - unknown
  securitySchemes:
    integrator_auth:
      type: apiKey
      in: header
      name: X-Pubkey, X-Timestamp, X-Signature

````